/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/9/8
 */
package org.springblade.etl.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.etl.entity.EtlGroundDataEntity;
import org.springblade.etl.mapper.EtlGroundDataMapper;
import org.springblade.etl.service.IEtlGroundDataService;
import org.springframework.stereotype.Service;

import java.util.List;


/***
 * Date:2022/9/8
 * Title:墒情数据接口服务实现
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
@DS("oracle_1")
public class EtlGroundDataServiceImpl extends BaseServiceImpl<EtlGroundDataMapper, EtlGroundDataEntity> implements IEtlGroundDataService {

	@Override
	public List<EtlGroundDataEntity> selectRtus() {

		return null;
	}

	@Override
	public List<EtlGroundDataEntity> selectLastList(EtlGroundDataEntity entity) {
		return baseMapper.selectLastList(entity);
	}

	@Override
	public List<EtlGroundDataEntity> selectNewList(EtlGroundDataEntity entity) {
		return baseMapper.selectNewList(entity);
	}
}
